.feature-video-container {
    max-width: 1554px;
    margin: 0 auto;
    padding: 0 20px;
    width: 100%;
}

.vdo-featured-header-content {
    margin-bottom: 36px;
}

.feature-video-highlight {
    padding-top: var(--padding-top-mobile);
    padding-bottom: var(--padding-bottom-mobile);
    position: relative;
}

.vdo-featured-title {
    text-align: center;
    font-size: var(--font-size);
}

.vdo-featured-content p {
    text-align: center;
    margin: 0;
    line-height: 1.2;
    margin-top: 18px;
    font-size: var(---content-font-size);
}

.video-banner-logo-items-banner video {
    display: block;
    width: 100%;
    height: 100vh;
    object-fit: cover;
    transition: height 0.8s cubic-bezier(0.25, 1, 0.5, 1), aspect-ratio 0.8s ease;
}


@media(min-width: 769px) {
    .vdo-featured-header-content {
        opacity: 0;
        transform: translateY(-20px);
        transition: all 0.6s ease;
    }

    .feature-video-highlight.is-active .vdo-featured-header-content {
        opacity: 1;
        transform: translateY(0);
    }

    .feature-video-highlight {
        height: 200vh;
        position: relative;
    }

    .feature-video-container {
        position: sticky;
        top: 100px;
        height: calc(100vh - 100px);
        display: flex;
        flex-direction: column;
        align-items: center;
        transition: all 0.5s ease-out;
    }


    .video-banner-logo-items-banner {
        width: 99.2vw;
        position: relative;
        top: -190px;
        height: 100vh;
        transition: width 0.8s cubic-bezier(0.25, 1, 0.5, 1), top 0.8s cubic-bezier(0.25, 1, 0.5, 1), height 0.8s cubic-bezier(0.25, 1, 0.5, 1), border-radius 0.8s ease;
        z-index: 1;
    }

    .feature-video-highlight.is-active .video-banner-logo-items-banner {
        width: 100%;
        height: auto;
        top: 0;
    }

    .feature-video-highlight {
        padding-top: var(--padding-top);
        padding-bottom: var(--padding-bottom);
    }

    .is-active video {
        height: auto;
        aspect-ratio: 4 / 1.8;
    }
}

@media(max-width: 991px) {
    .is-active video {
        aspect-ratio: unset;
    }

    .feature-video-container {
        justify-content: center;
    }
}

@media(max-width: 769px) {
    .video-banner-logo-items-banner video {
        height: 100%;
    }

    .vdo-featured-title {
        font-size: var(--font-size-mob);
    }

    .vdo-featured-content p {
        margin-top: 12px;
        font-size: var(--content-font-size-mob);
    }

    .vdo-featured-header-content {
        margin-bottom: 14px;
    }

    .vdo-featured-header-content,
    .video-banner-logo-items-banner {
        transition: all 0.4s;
        transform: translateY(50px);
        opacity: 0;
    }

    .is-animated .vdo-featured-header-content,
    .is-animated .video-banner-logo-items-banner {
        transform: translateY(0);
        opacity: 1;
    }
}